.pinner-body .pinner-body {
  position: relative;
}

.rv-module.module.rv-inner-content:has(.pinner-body) {
  overflow: hidden;
}

.pinner-body .close-slide {
  position: absolute;
  top: 0;
  right: 0;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  font-size: 45px;
  color: white;
  text-align: center;
}

.pinner-body .slide-content {
  display: none;
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  overflow: hidden;
  vertical-align: bottom;
  color: #ffffff;
  background: transparent;
  background: -webkit-linear-gradient(transparent, rgba(0, 0, 0, 0.75) 45%);
  background: -moz-linear-gradient(transparent, rgba(0, 0, 0, 0.75) 45%);
  background: -ms-linear-gradient(transparent, rgba(0, 0, 0, 0.75) 45%);
  background: -o-linear-gradient(transparent, rgba(0, 0, 0, 0.75) 45%);
  background: linear-gradient(transparent, rgba(0, 0, 0, 0.75) 45%);
  z-index: 3;
  height: 180px;
}

.pinner-body .slide-content[data-pos="top_left"],
.pinner-body .slide-content[data-pos="top_middle"],
.pinner-body .slide-content[data-pos="top_right"],
.pinner-body .slide-content[data-pos="middle_left"],
.pinner-body .slide-content[data-pos="center"],
.pinner-body .slide-content[data-pos="middle_right"],
.pinner-body .slide-content[data-pos="bottom_left"],
.pinner-body .slide-content[data-pos="bottom_middle"],
.pinner-body .slide-content[data-pos="bottom_right"] {
  background-color: rgba(0, 0, 0, 0.75);
  border-radius: 15px;
  border-width: thin;
  border-style: solid;
}

.pinner-body .slide-content[data-pos="top_left"] {
  bottom: unset;
  left: 0;
  top: 0;
  max-width: 33.33%;
  height: auto;
}

.pinner-body .slide-content[data-pos="top_middle"] {
  bottom: unset;
  left: 50%;
  top: 0;
  max-width: 33.33%;
  transform: translateX(-50%);
  height: auto;
}

.pinner-body .slide-content[data-pos="top_right"] {
  bottom: unset;
  left: unset;
  top: 0;
  max-width: 33.33%;
  right: 0;
  height: auto;
}

.pinner-body .slide-content[data-pos="middle_left"] {
  bottom: unset;
  left: 0;
  top: 50%;
  max-width: 33.33%;
  height: auto;
  transform: translateY(-50%);
}

.pinner-body .slide-content[data-pos="center"] {
  bottom: unset;
  left: 50%;
  top: 50%;
  max-width: 33.33%;
  height: auto;
  transform: translate(-50%, -50%);
}

.pinner-body .slide-content[data-pos="middle_right"] {
  bottom: unset;
  left: unset;
  top: 50%;
  max-width: 33.33%;
  right: 0;
  height: auto;
  transform: translateY(-50%);
}

.pinner-body .slide-content[data-pos="bottom_left"] {
  left: 0;
  max-width: 33.33%;
  height: auto;
}

.pinner-body .slide-content[data-pos="bottom_middle"] {
  left: 50%;
  max-width: 33.33%;
  transform: translateX(-50%);
  height: auto;
}

.pinner-body .slide-content[data-pos="bottom_right"] {
  left: unset;
  max-width: 33.33%;
  right: 0;
  height: auto;
}

.pinner-body .slide-content[data-pos="top_left"] .close-slide,
.pinner-body .slide-content[data-pos="top_middle"] .close-slide,
.pinner-body .slide-content[data-pos="top_right"] .close-slide,
.pinner-body .slide-content[data-pos="middle_left"] .close-slide,
.pinner-body .slide-content[data-pos="center"] .close-slide,
.pinner-body .slide-content[data-pos="middle_right"] .close-slide,
.pinner-body .slide-content[data-pos="bottom_left"] .close-slide,
.pinner-body .slide-content[data-pos="bottom_middle"] .close-slide,
.pinner-body .slide-content[data-pos="bottom_right"] .close-slide {
  position: absolute;
  top: 4px;
  right: 4px;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  font-size: 24px;
  color: black;
  text-align: center;
  background-color: white;
}

.pinner-body .slide-content[data-pos="top_left"] .close-slide i,
.pinner-body .slide-content[data-pos="top_middle"] .close-slide i,
.pinner-body .slide-content[data-pos="top_right"] .close-slide i,
.pinner-body .slide-content[data-pos="middle_left"] .close-slide i,
.pinner-body .slide-content[data-pos="center"] .close-slide i,
.pinner-body .slide-content[data-pos="middle_right"] .close-slide i,
.pinner-body .slide-content[data-pos="bottom_left"] .close-slide i,
.pinner-body .slide-content[data-pos="bottom_middle"] .close-slide i,
.pinner-body .slide-content[data-pos="bottom_right"] .close-slide i {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 24px !important;
}

.pinner-body .inner-content-slide {
  display: inline-block;
  vertical-align: top;
  width: calc(100% - 200px);
}

.pinner-body .slide-content .img-ctn {
  background-color: #333;
  border-radius: 50%;
  border: 5px solid white;
  text-align: center;
  width: 100px;
  height: 100px;
  margin: 30px;
  display: inline-block;
}

.pinner-body h4 {
  font-size: 30px !important;
  margin: 0;
  margin-top: 30px;
  color: white !important;
}

.pinner-body .slide-content img {
  width: 75px;
  height: 75px;
  margin-top: 10px;
}

.pinner-body .tip {
  position: absolute;
  background: #ffffff;
  background: linear-gradient(#f9f9f9, #ffffff);
  padding: 5px 10px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
  margin-top: -45px;
  font-size: 12px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.8);
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.5s ease-in-out;
  text-align: center;
  width: 250%;
  width: max-content;
  left: 50% !important;
  transform: translateX(-50%) translateY(0);
  color: #333 !important;
}

.pinner-body .pin:hover .tip {
  display: block;
  opacity: 1;
  animation: pinnerbounce 2s;
}

.pinner-body .close-slide i {
  font-size: 30px !important;
}

.pinner-body .tip:after {
  border: 10px solid;
  border-color: #ffffff transparent transparent;
  content: "";
  left: 50%;
  margin-left: -10px;
  position: absolute;
  top: 100%;
  margin-top: -2px;
}

.pinner-body .main-img-ctn {
  background-color: #ffffff00;
  width: 100%;
  background-position: center;
  background-size: cover;
  position: relative;
}

.pinner-body .main-img-ctn video {
  width: 100%;
}

.pinner-body .pin {
  width: 50px;
  height: 50px;
  background-color: #333;
  border-radius: 50%;
  border: 5px solid white;
  text-align: center;
  position: absolute;
  transition: 0.25s ease;
  cursor: pointer;
  z-index: 3;
}

.pinner-body .link {
  text-align: center;
  position: absolute;
  transition: 0.25s ease;
  cursor: pointer;
}

.pinner-body .imglink {
  text-align: center;
  position: absolute;
  transition: 0.25s ease;
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}

.pinner-body .imglink[data-hover="scale"]:hover {
  transform: scale(1.05);
}

.pinner-body .imglink[data-hover="black"]:hover {
  background-color: #33333380;
}

.pinner-body .imglink[data-hover="white"]:hover {
  background-color: #ffffff80;
}

.pinner-body .main-img-ctn .pin img {
  width: 35px;
  height: 35px;
  margin-top: 5px;
}

.pinner-body [data-c="red"] {
  background-color: #ff1526;
}

.pinner-body [data-c="pinkred"] {
  background-color: #ff0036;
}

.pinner-body [data-c="pink"] {
  background-color: #ff0072;
}

.pinner-body [data-c="purple"] {
  background-color: #c600ff;
}

.pinner-body [data-c="indigo"] {
  background-color: #5a00ff;
}

.pinner-body [data-c="navy"] {
  background-color: #0e0076;
}

.pinner-body [data-c="blue"] {
  background-color: #0054ff;
}

.pinner-body [data-c="green"] {
  background-color: #10ae2a;
}

.pinner-body [data-c="lime"] {
  background-color: #46ff21;
}

.pinner-body [data-c="orange"] {
  background-color: #ff7e00;
}

.pinner-body [data-c="black"] {
  background-color: #333333;
}

.pinner-body [data-bc="red"] {
  border-color: #ff1526;
}

.pinner-body [data-bc="pinkred"] {
  border-color: #ff0036;
}

.pinner-body [data-bc="pink"] {
  border-color: #ff0072;
}

.pinner-body [data-bc="purple"] {
  border-color: #c600ff;
}

.pinner-body [data-bc="indigo"] {
  border-color: #5a00ff;
}

.pinner-body [data-bc="navy"] {
  border-color: #0e0076;
}

.pinner-body [data-bc="blue"] {
  border-color: #0054ff;
}

.pinner-body [data-bc="green"] {
  border-color: #10ae2a;
}

.pinner-body [data-bc="lime"] {
  border-color: #46ff21;
}

.pinner-body [data-bc="orange"] {
  border-color: #ff7e00;
}

.pinner-body [data-bc="black"] {
  border-color: #333333;
}

.pinner-body [data-bc="none"] {
  border-color: transparent;
}

.pinner-body [data-bc="white"] {
  border-color: #ffffff;
}

.pinner-body [data-size="super"] {
  transform: scale(1.2);
}

.pinner-body [data-size="super"]:hover {
  transform: scale(1.4);
}

.pinner-body [data-size="big"] {
  transform: scale(1);
}

.pinner-body [data-size="big"]:hover {
  transform: scale(1.2);
}

.pinner-body [data-size="medium"] {
  transform: scale(0.8);
}

.pinner-body [data-size="medium"]:hover {
  transform: scale(1);
}

.pinner-body [data-size="small"] {
  transform: scale(0.6);
}

.pinner-body [data-size="small"]:hover {
  transform: scale(0.8);
}

.pinner-body [data-size="wee"] {
  transform: scale(0.4);
}

.pinner-body [data-size="wee"]:hover {
  transform: scale(0.6);
}

.pinner-body .link[data-hover="black"]:hover {
  background-color: #33333380;
}

.pinner-body .link[data-hover="white"]:hover {
  background-color: #ffffff80;
}

.pinner-body .link[data-hover="scale"] {
  overflow: hidden;
}

.pinner-body .link[data-hover="scale"] .hover_img {
  background-repeat: no-repeat;
  position: absolute;
}

.pinner-body .link[data-hover="scale"]:hover {
  transform: scale(1.05);
}

.pinner-body .extra-icon {
  position: absolute;
  bottom: -14px;
  right: -11px;
  border-radius: 50%;
  border: 3px solid #fff;
  width: 25px;
  height: 25px;
  font-size: 19px;
  color: white;
}

.pinner-body .extra-icon[data-t="youtube"] {
  background-color: #cc181e;
}

.pinner-body .extra-icon[data-t="youtube"] i {
  margin-top: 3px;
}

.pinner-body .extra-icon[data-t="link"] {
  background-color: #489fdf;
}

.pinner-body .extra-icon[data-t="link"] i {
  margin-top: 3px;
}

@keyframes pinnerbounce {
  0%,
  20%,
  50%,
  80%,
  100% {
    transform: translateX(-50%) translateY(0);
  }
  40% {
    transform: translateX(-50%) translateY(-20px);
  }
  60% {
    transform: translateX(-50%) translateY(-15px);
  }
}

@media (max-width: 1400px) {
  .pinner-body .slide-content {
    height: 200px;
  }
}

@media (max-width: 1100px) {
  .pinner-body .slide-content {
    height: auto;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
  }

  .pinner-body .slide-content .img-ctn {
    display: none !important;
  }

  .pinner-body .slide-content img {
    display: none !important;
  }

  .pinner-body .inner-content-slide {
    width: 100%;
    height: 100%;
  }

  .pinner-body .close-slide {
    display: none;
  }

  .pinner-body h4 {
    text-align: center;
    font-size: 14px !important;
  }

  .pinner-body .inner-content-slide p {
    margin: 10px;
    font-size: 12px !important;
  }
}

@media (max-width: 420px) {
  .pinner-body .inner-content-slide p {
    font-size: 9px;
  }
}

.pinner-body[data-layout="interactive"] .pinner-body {
  overflow: hidden;
}

.pinner-body[data-layout="interactive"] .lock-mess {
  display: none;
}

@media (max-width: 1100px) {
  .pinner-body[data-layout="interactive"] .lock-mess {
    display: block;
    position: absolute;
    top: 5px;
    left: 5px;
    color: white;
    font-size: 12px;
  }

  .pinner-body[data-layout="interactive"] .slide-content {
    width: 100% !important;
    height: 100% !important;
  }
}

.pinner-body[data-layout="interactive"] #container {
  border: 1px solid red;
  border-radius: 0.5em;
  padding: 10px;
}

.pinner-body[data-layout="interactive"] .PinnerFull {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 9999999;
  background-color: black;
}

.pinner-body[data-layout="interactive"] #PinnerClose {
  right: 0;
  z-index: 99999999;
  position: absolute;
  margin-right: 25px;
  display: none;
}

.pinner-body[data-layout="interactive"] #PinnerFull {
  right: 0;
  z-index: 1;
  position: absolute;
  margin-right: 25px;
}

.pinner-body[data-layout="interactive"] .PinnerFull .pinner-body {
  height: auto !important;
}

.pinner-body[data-layout="interactive"] .PinnerFull.OverHeight {
  text-align: center;
}

.pinner-body[data-layout="interactive"] .PinnerFull.OverHeight .main-img-ctn {
  display: inline-block;
  margin: auto;
  max-height: 100%;
  width: auto !important;
  height: 100% !important;
}

@media (max-width: 1100px) {
  .pinner-body[data-size="wee"] .pin {
    transform: scale(0.6);
  }

  .pinner-body[data-size="wee"] .pin:hover {
    transform: scale(0.8);
  }
}

@media (max-width: 800px) {
  .pinner-body[data-size="wee"] .pin {
    transform: scale(0.4);
  }

  .pinner-body[data-size="wee"] .pin:hover {
    transform: scale(0.6);
  }
}

@media (max-width: 1100px) {
  .pinner-body[data-size="puny"] .pin {
    transform: scale(0.4);
  }

  .pinner-body[data-size="puny"] .pin:hover {
    transform: scale(0.6);
  }
}

@media (max-width: 800px) {
  .pinner-body[data-size="puny"] .pin {
    transform: scale(0.15);
  }

  .pinner-body[data-size="puny"] .pin:hover {
    transform: scale(0.3);
  }
}
